For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI ReferenceWebhooks Reference
DocumentationAPI ReferenceWebhooks Reference
  • Ingest Reference
  • Main Reference
        • POSTCreate a new provider.
        • GETGet a list of providers.
        • PUTModify a provider.
        • DELDelete provider.
LogoLogo
Main ReferenceCollectionsProviders

Get a list of providers.

GET
https://api.invofox.com/companies/:id/providers
GET
/companies/:id/providers
1const url = 'https://api.invofox.com/companies/id/providers';
2const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
1{
2 "result": [
3 {
4 "_id": "5f8d0d55b54764421b7156c1",
5 "account": "acc_987654321",
6 "environment": "env_prod_us",
7 "company": "comp_123456789",
8 "name": "Acme Supplies Ltd.",
9 "countryCode": "US",
10 "taxId": "12-3456789",
11 "type": "provider",
12 "state": "validated"
13 }
14 ],
15 "count": 1
16}
Get a list of providers for specified company.
Was this page helpful?
Previous

Modify a provider.

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

idstringRequired
id of the company to get providers from

Query parameters

skipdoubleOptional
How many providers to skip at the start
limitdoubleOptional
Maximum number of providers returned by query
sortobjectOptional

Key-value pairs where key is the name of field to sort by, and value is one of 1 (ascending) or -1 (descending)

taxIdstringOptional
Tax id to filter the list of providers
namestringOptional
Provider name to filter the list of providers

Response

List of providers for specified company
resultlist of objects
countdouble

Errors

500
Internal Server Error